Bug 641599 - man ss refers to a non-existent file
Summary: man ss refers to a non-existent file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 641918
TreeView+ depends on / blocked
 
Reported: 2010-10-09 14:20 UTC by Robin Green
Modified: 2010-11-19 00:04 UTC (History)
3 users (show)

Fixed In Version: iproute-2.6.35-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 641918 (view as bug list)
Environment:
Last Closed: 2010-11-19 00:02:56 UTC
Type: ---


Attachments (Terms of Use)

Description Robin Green 2010-10-09 14:20:26 UTC
Description of problem:
In the iproute man page, it says:

 SEE ALSO
       ip(8), /usr/share/doc/iproute-doc/ss.html (package iproute­doc)

Neither this file, nor the package mentioned after it, exists. There is a package iproute-doc, but it does not contain this file!

It does contain a file ss.ps, but since this file (from 2001) advises the user not to use ss and use netstat instead, and the netstat man page *clearly* states than netstat is obsolete and ss is its replacement, I am not sure that ss.ps (in its current state) is the right file to refer to either!

Version-Release number of selected component (if applicable):
iproute-2.6.33-4.fc13.i686

Comment 1 Petr Šabata 2010-10-11 12:18:06 UTC
Robin,

I don't see the 'iproutedoc' (without the dash) mentioned anywhere in iproute manpages. The ss.html file mentioned in ss(8) truly doesn't exist, ss.ps is generated instead. This will be corrected.

Netstat is from the net-tools package which is generally considered obsolete -- and iproute2 its replacement; I'd believe the note in netstat(8) (from 2000, by the way). Concerning the ss documentation, this is, sadly, the latest version available in the upstream.

Petr

Comment 2 Robin Green 2010-10-11 12:34:03 UTC
Sorry, I meant the ss man page, not the iproute man page, above.

Comment 3 Petr Šabata 2010-10-11 13:06:09 UTC
I also see a different dash character was used (0xAD instead of regular 0x2D) in the 'iproute-doc' word. Updating that as well.

Comment 4 Fedora Update System 2010-10-11 13:13:27 UTC
iproute-2.6.33-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/iproute-2.6.33-6.fc13

Comment 5 Fedora Update System 2010-10-11 13:14:00 UTC
iproute-2.6.35-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/iproute-2.6.35-4.fc14

Comment 6 Fedora Update System 2010-10-11 19:22:19 UTC
iproute-2.6.33-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iproute'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/iproute-2.6.33-6.fc13

Comment 7 Fedora Update System 2010-10-12 15:56:24 UTC
iproute-2.6.33-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/iproute-2.6.33-7.fc13

Comment 8 Fedora Update System 2010-10-12 15:57:31 UTC
iproute-2.6.35-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/iproute-2.6.35-5.fc14

Comment 9 Fedora Update System 2010-10-19 07:13:49 UTC
iproute-2.6.33-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-10-28 05:56:09 UTC
iproute-2.6.35-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Robin Green 2010-11-03 08:45:15 UTC
Unfortunately, it *still* refers to a non-existent file, because it refers to an unversioned directory in /usr/share/doc, but the real directory is versioned.

Comment 12 Fedora Update System 2010-11-09 12:36:05 UTC
iproute-2.6.35-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/iproute-2.6.35-6.fc14

Comment 13 Fedora Update System 2010-11-09 12:36:44 UTC
iproute-2.6.33-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/iproute-2.6.33-8.fc13

Comment 14 Fedora Update System 2010-11-10 01:08:29 UTC
iproute-2.6.35-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iproute'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/iproute-2.6.35-6.fc14

Comment 15 Fedora Update System 2010-11-19 00:02:51 UTC
iproute-2.6.33-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-11-19 00:04:26 UTC
iproute-2.6.35-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.